WineHQ

Eufloria

No Screenshot

Submit Screenshot
This is the stand-alone version from Dyson Games, patched to latest version 2.06

Application Details:

Version: 2.02
License: Retail
URL: http://www.dyson-game.com/
Votes: 0
Latest Rating: Gold
Latest Wine Version Tested: 1.6

Maintainers: About Maintainership

Test Results

Old test results
The test results you have selected are very old and may not represent the current state of Wine.
Selected Test Results

What works

All aspects of game..

What does not

Nothing I could discover...

Workarounds

What was not tested

Newly added achievements section (available to Steam only release)

Hardware tested

Graphics:

  • GPU:
  • Driver:

Additional Comments

Requires installation of .NET 2.0 via winetricks This title was previously prone to random lockups/crashes or often failed to start at all. I tracked this issue back to the following placeholder - http://bugs.winehq.org/show_bug.cgi?id=20380 I compiled/installed a vanilla linux-2.6.34 kernel - Eufloria then started working at gold level or better. AFAICT you will need to be running a linux kernel including Linus' patch mentioned in the above thread at/about comment #90

selected in Test Results table below
Operating systemTest dateWine versionInstalls?Runs?Used
Workaround?
RatingSubmitter
ShowDebian GNU/Linux 7.x "Wheezy" x86_64Jul 21 20131.6Yes Yes GoldMr Nobody 
ShowLinux From ScratchMar 01 20121.4-rc5Yes Yes GoldMr Nobody 
ShowSlackware 13.37Mar 01 20121.4-rc5Yes Yes GoldJen 
CurrentLinux From ScratchJul 18 20101.2Yes Yes GoldMr Nobody 
ShowDebian GNU/Linux 6.x "Squeeze" x86_64Apr 30 20101.1.43Yes Yes BronzePierre Réveillon 

Known Bugs

Bug # Description Status Resolution Other apps affected

Show all bugs

Comments

The following comments are owned by whoever posted them. WineHQ is not responsible for what they say.

Needs donet20sp2
by Jen on Thursday March 1st 2012, 1:44
I discovered that if you only have .net 2.0 installed, it'll randomly crash, no matter which kernel you're using. (I specifically upgraded to avoid that bug on another program under WINE.) But once I installed dotnet20sp2 via winetricks, it won't crash.
Doesn't start
by xamil on Wednesday December 22nd 2010, 14:00
Anybody knows how to fix that?

./Eufloria.exe

Unhandled Exception: System.TypeInitializationException: An exception was thrown by the type initializer for Eufloria.Game ---> System.TypeInitializationException: An exception was thrown by the type initializer for SdlDotNet.Input.Mouse ---> System.TypeInitializationException: An exception was thrown by the type initializer for SdlDotNet.Graphics.Video ---> System.DllNotFoundException: SDL.dll
at (wrapper managed-to-native) Tao.Sdl.Sdl:SDL_WasInit (int)
at SdlDotNet.Graphics.Video.Initialize () [0x00000] in :0
at SdlDotNet.Graphics.Video..cctor () [0x00000] in :0
--- End of inner exception stack trace ---
at SdlDotNet.Input.Mouse..cctor () [0x00000] in :0
--- End of inner exception stack trace ---
at Wuwei.Input.MouseStateRecorder.UpdateCurrentState () [0x00000] in :0
at Wuwei.Input.MouseStateRecorder..ctor () [0x00000] in :0
at Eufloria.Game..cctor () [0x00000] in :0
--- End of inner exception stack trace ---
RE: Doesn't start
by xamil on Wednesday December 22nd 2010, 14:35
removed ~/.wine and reinstalled dotnet20 and also installed dotnet30 and it works
RE: Doesn't start
by Mr Nobody on Monday January 10th 2011, 21:58
I'm looking into this -- somewhere after Eufloria patch 2.04 this issue has become evident -- in the Eufloria forums, some windows users have struck similar issues, interestingly enough, installing .NET 3.0 also worked for them....(the developers of the game maintain that .NET 2.0 is all that should be required here)...

My current suspicion, is that this all relates to .NET 2.0 SP1/SP2 -- the Steam release specifies .NET 2.0 SP2, and there may also be some contention wrt which vcrun2008 version is installed (Eufloria bundles with a version of this)...*if* it is related to .NET 2.0 SP2, we're behind the 8ball waiting for those supports in wine..
Quick links for Ubuntu Lucid users to upgrade linux kernel
by Mr Nobody on Saturday July 24th 2010, 12:49
You need to upgrade your kernel to avoid problems running this title in Wine. The following posting over at dyson games will help Ubuntu users.

www.dyson-game.com/smf/index.php?topic=863.msg5703#msg5703

Cheers!
Back